XCB 1.8.1

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

bigreq.h
1 /*
2 * This file generated automatically from bigreq.xml by c_client.py.
3 * Edit at your peril.
4 */
5
12 #ifndef __BIGREQ_H
13 #define __BIGREQ_H
14
15 #include "xcb.h"
16
17 #ifdef __cplusplus
18 extern "C" {
19 #endif
20
21 #define XCB_BIGREQUESTS_MAJOR_VERSION 0
22 #define XCB_BIGREQUESTS_MINOR_VERSION 0
23
24 extern xcb_extension_t xcb_big_requests_id;
25
29 typedef struct xcb_big_requests_enable_cookie_t {
30 unsigned int sequence;
31 } xcb_big_requests_enable_cookie_t;
32
34 #define XCB_BIG_REQUESTS_ENABLE 0
35
39 typedef struct xcb_big_requests_enable_request_t {
40 uint8_t major_opcode;
41 uint8_t minor_opcode;
42 uint16_t length;
43 } xcb_big_requests_enable_request_t;
44
48 typedef struct xcb_big_requests_enable_reply_t {
49 uint8_t response_type;
50 uint8_t pad0;
51 uint16_t sequence;
52 uint32_t length;
53 uint32_t maximum_request_length;
54 } xcb_big_requests_enable_reply_t;
55
65 /*****************************************************************************
66 **
67 ** xcb_big_requests_enable_cookie_t xcb_big_requests_enable
68 **
69 ** @param xcb_connection_t *c
70 ** @returns xcb_big_requests_enable_cookie_t
71 **
72 *****************************************************************************/
73
74 xcb_big_requests_enable_cookie_t
75 xcb_big_requests_enable (xcb_connection_t *c );
76
89 /*****************************************************************************
90 **
91 ** xcb_big_requests_enable_cookie_t xcb_big_requests_enable_unchecked
92 **
93 ** @param xcb_connection_t *c
94 ** @returns xcb_big_requests_enable_cookie_t
95 **
96 *****************************************************************************/
97
98 xcb_big_requests_enable_cookie_t
99 xcb_big_requests_enable_unchecked (xcb_connection_t *c );
100
116 /*****************************************************************************
117 **
118 ** xcb_big_requests_enable_reply_t * xcb_big_requests_enable_reply
119 **
120 ** @param xcb_connection_t *c
121 ** @param xcb_big_requests_enable_cookie_t cookie
122 ** @param xcb_generic_error_t **e
123 ** @returns xcb_big_requests_enable_reply_t *
124 **
125 *****************************************************************************/
126
127 xcb_big_requests_enable_reply_t *
128 xcb_big_requests_enable_reply (xcb_connection_t *c ,
129 xcb_big_requests_enable_cookie_t cookie ,
130 xcb_generic_error_t **e );
131
132
133 #ifdef __cplusplus
134 }
135 #endif
136
137 #endif
138